corda / net.corda.core.contracts / verifyMoveCommand

# verifyMoveCommand

`inline fun <reified T : MoveCommand> verifyMoveCommand(inputs: List<OwnableState>, tx: TransactionForContract): MoveCommand`
`inline fun <reified T : MoveCommand> verifyMoveCommand(inputs: List<OwnableState>, commands: List<AuthenticatedObject<CommandData>>): MoveCommand`

Simple functionality for verifying a move command. Verifies that each input has a signature from its owning key.

### Parameters

`T` - the type of the move command.